package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/

import java.util.Vector;

public class ForwardRule extends InputOutputRule
{
	static	Vector forwardRulesVector = new Vector();
  protected static boolean removedRules;

public ForwardRule() {
	super();
}
public ForwardRule(String raw)
{
	super(raw);
}
public static boolean changesAreNotApplied()
{
  if (removedRules) return true;

  for (int i=0; i < forwardRulesVector.size(); i++)
  {
	if(! ((ForwardRule)forwardRulesVector.elementAt(i)).m_isApplied) return true;
  }

  return false;
}
public static void makeChangesApplied()
{
  removedRules = false;

  for (int i=0; i < forwardRulesVector.size(); i++)
  {
	((ForwardRule)forwardRulesVector.elementAt(i)).m_isApplied = true;
  }
}
  public static void removeForwardRule(ForwardRule fr)
  {
	if (fr.m_isApplied) ForwardRule.removedRules = true;
	ForwardRule.forwardRulesVector.remove(fr);
  }  
  public static void reset()
  {
	for (int i=0; i < forwardRulesVector.size(); i++)
	{
	  if (((ForwardRule)forwardRulesVector.elementAt(i)).m_isApplied) removedRules = true;
	}
	forwardRulesVector.removeAllElements();
  }  
}
